/* Get the data we need to display a particular author's latest stories */

SELECT
	posts.id,
	posts.post_title,
	posts.post_time,
	posts.views
FROM
	posts,
	authors
WHERE
	posts.isanon = 0 AND
	posts.authorid = authors.id AND
	authors.name = :author AND
	posts.unlisted = 0
ORDER BY
	posts.post_time DESC
